"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getBrixContext = getBrixContext;
exports.getBrixConsumer = getBrixConsumer;
exports.BrixProvider = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _immutable = require("immutable");

var _jsxFileName = "/Users/bryan/dev/playground/brix/src/brix/BrixProvider.js";

var BrixContext = _react.default.createContext();

var BrixProvider = function BrixProvider(_ref) {
  var value = _ref.value,
      children = _ref.children;

  var _useState = (0, _react.useState)(value),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      state = _useState2[0],
      setBrixState = _useState2[1];

  return _react.default.createElement(BrixContext.Provider, {
    value: {
      state: state,
      setBrixState: setBrixState
    },
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 11
    }
  }, children);
};

exports.BrixProvider = BrixProvider;
BrixProvider.propTypes = {
  value: _propTypes.default.object
};
BrixProvider.defaultProps = {
  value: (0, _immutable.Map)()
};

function getBrixContext() {
  return BrixContext;
}

function getBrixConsumer() {
  return BrixContext.Consumer;
}