"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withBoundary = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _BoundedSuspense = _interopRequireDefault(require("./BoundedSuspense"));

var _jsxFileName = "/Users/bryan/dev/playground/brix/src/brix/withBoundary.js";

var withBoundary = function withBoundary(fallback) {
  return function (Component) {
    return function (props) {
      return _react.default.createElement(_BoundedSuspense.default, {
        fallback: fallback,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 4
        }
      }, _react.default.createElement(Component, (0, _extends2.default)({}, props, {
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 4
        }
      })));
    };
  };
}; // eslint-disable-line react/display-name


exports.withBoundary = withBoundary;